# DeleteAfcEventNotifications

Delete AFC event notifications.

`DELETE /api/v2/event-notifications/afc`

**API:** AvaTax API
**Tag:** EcmEventNotifications
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/crossborder/api/methods/EcmEventNotifications/DeleteAfcEventNotifications/

## Description

### Security Policies

* This API depends on the following active services:*Required* (all):  ECMPremiumComms, ECMProComms.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `isDlq` | boolean | query | No | Specify `true` to delete event notifications from the dead letter queue; otherwise, specify `false`. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `EventDeleteMessageModel`

Encloses the delete message command.

| Property | Type | Required | Description |
|---|---|---|---|
| `eventDeleteBatchMessageCommands` | EventDeleteBatchMessageModel[] | No | Command details for the delete message |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `EventMessageResponseFetchResult` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |
| 404 | Not Found |  |

### 200 Response: `EventMessageResponseFetchResult`

| Property | Type | Required | Description |
|---|---|---|---|
| `@recordsetCount` | integer | No |  |
| `value` | EventMessageResponse[] | No |  |
| `@nextLink` | string | No |  |
| `pageKey` | string | No |  |

## Example Request

```bash
curl -X DELETE "https://sandbox-rest.avatax.com/api/v2/event-notifications/afc" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json" \
  -d '{
  "eventDeleteBatchMessageCommands": [
    {
      "receiptHandle": "AQEBrHAjW6HFye9RksJnZhnwBx4cHIxft7X7GVaL2bZBu2GkMdaVhqFiC5kunpK11grIhty5QVWJ3xdIs1cCjW6lxCM1hmsjllYU5TCo5LbIG/80nKSX+I2tejoo1TXGQDSIjFSeAp29UsiCEvyBnhxBnLChMY1VycqzEb0i2hhO/k7MsEkpjw6/NUfoGGuRQBatbUtc3bXl4dt2UQI6HGhbX7LwWfs8JVSavRkDapc3PqO8C0ox9ogxW7yUw8R54S8HFA6YalYjWLwtEgRILm0Ylqx25XmdipTyNq1gJdLy5LI=",
      "messageId": "af89d42c-1ca5-44b9-b7d3-8deb2d1a7c81"
    }
  ]
}'
```